local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  if getFlag("vazou3") then

    disableMovement()

    setFlag("comcacto")
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_cacto"))

    setFlag("falou3", false)
    setFlag("vazou3", false)

  end

end

function onEnd(wasSkipped)
  if wasSkipped then
    setFlag("comcacto")
    setFlag("falou3", false)
    setFlag("vazou3", false)
    enableMovement()
  end
end